<?php
/*
* 2007-2011 PrestaShop 
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author PrestaShop SA <contact@prestashop.com>
*  @copyright  2007-2011 PrestaShop SA
*  @version  Release: $Revision: 9951 $
*  @license    http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*/

$useSSL = true;

include_once(dirname(__FILE__).'/../../../config/config.inc.php');
include_once(dirname(__FILE__).'/../../../init.php');

include_once(_PS_MODULE_DIR_.'intellectmoney/intellectmoney.php');

$intellectmoney = new Intellectmoney();

if (!$intellectmoney->active)
	exit;

$errors = array();

// #####
// Functions

function displayConfirm()
{
	global $cookie, $smarty, $intellectmoney, $cart;

	if ($cart->id_currency != $intellectmoney->getCurrency((int)$cart->id_currency)->id)
	{
		$cart->id_currency = (int)($intellectmoney->getCurrency((int)$cart->id_currency)->id);
		$cookie->id_currency = (int)($cart->id_currency);
		$cart->update();
		Tools::redirect('modules/'.$intellectmoney->name.'/payment/submit.php');
	}

	// Display all and exit
    include(_PS_ROOT_DIR_.'/header.php');

	/*order desc*/
	$products = $cart->getProducts();
	$serviceName = 0;
	foreach ($products as $key => $product)
	{
		$serviceName .= ($serviceName == ''?'':', ').$product['cart_quantity']." x ".$product['name'].(isset($product['attributes'])?' - '.$product['attributes']:'').(isset($product['instructions'])?' - '.$product['instructions']:'') ; 
	}

	$customer = new Customer((int)$cart->id_customer);
	$userEmail = $customer->email;
	$userName = $customer->firstname.' '.$customer->lastname;
	
	$url = 'http://'.htmlspecialchars($_SERVER['HTTP_HOST'], ENT_COMPAT, 'UTF-8').__PS_BASE_URI__.'order-confirmation.php?id_cart='.(int)($cart->id).'&id_module='.(int)($intellectmoney->id).'&key='.$customer->secure_key;
	$currency = $intellectmoney->getCurrency((int)$cart->id_currency);

	$smarty->assign(array(
		'logo' => _MODULE_DIR_.$intellectmoney->name.'/intellectmoney.gif',
		
		'eshopId' => Configuration::get('IM_ACCOUNT'),
		'orderId' => $cart->id,		
		'userName' => $userName,
		'userEmail' => $userEmail,
		'serviceName' => $serviceName,
		'recipientAmount' => $cart->getOrderTotal(),
		'recipientCurrency' => $currency->iso_code,
		'successUrl' => $url.'&status=success',
		'failUrl' => $url.'&status=fail',
		'backUrl' => $url.'&status=back',	
		
		'cust_currency' => $cart->id_currency,
		'currency' => $intellectmoney->getCurrency((int)$cart->id_currency),
		'total' => $cart->getOrderTotal(),
	));

	echo $intellectmoney->display('intellectmoney.php', 'confirm.tpl');
	include(_PS_ROOT_DIR_.'/footer.php');
	die ;
}

function submitConfirm()
{   
	global $cookie, $smarty, $intellectmoney, $cart;
	$customer = new Customer((int)$cart->id_customer);
	$intellectmoney->validateOrder($cart->id, Configuration::get('PS_OS_BANKWIRE'), $cart->getOrderTotal(), $intellectmoney->shortDisplayName, NULL, NULL, (int)$cart->id_currency, false, $customer->secure_key);
	$order = new Order($intellectmoney->currentOrder);
	echo '
	<body onload="document.forms[\'payFrm\'].submit();">
	<form class="hidden" id="payFrm" method="post" name="payFrm" action="https://merchant.intellectmoney.ru/ru/">
		<input type="hidden" name="eshopId" value="'.$_REQUEST['eshopId'].'"> 
		<input type="hidden" name="orderId" value="'.$_REQUEST['orderId'].'"> 
		<input type="hidden" name="userName" value="'.$_REQUEST['userName'].'"> 
		<input type="hidden" name="userEmail" value="'.$_REQUEST['userEmail'].'"> 
		<input type="hidden" name="serviceName" value="'.$_REQUEST['serviceName'].'">
		<input type="hidden" name="recipientAmount" value="'.$_REQUEST['recipientAmount'].'"> 
		<input type="hidden" name="recipientCurrency" value="'.$_REQUEST['recipientCurrency'].'"> 
		<input type="hidden" name="successUrl" value="'.$_REQUEST['successUrl'].'"> 
		<input type="hidden" name="failUrl" value="'.$_REQUEST['failUrl'].'">
		<input type="hidden" name="backUrl" value="'.$_REQUEST['backUrl'].'">     
	</form>
	</body>
	';
	//Tools::redirectLink(__PS_BASE_URI__.'order-confirmation.php?id_cart='.$cart->id.'&id_module='.$intellectmoney->id.'&id_order='.$intellectmoney->currentOrder.'&key='.$customer->secure_key);
}

if (!Tools::isSubmit('submitPayment') AND !Tools::getValue('fromIntellectMoney'))
	displayConfirm();
else
	submitConfirm();
